Summary: Oracle Virtual Server Utilities
Name: ovs-utils
Version: 1.0
Release: 13
License: GPL2
Group: System Environment/Base
Source: ovs-utils-1.0.tar.gz
Patch1: ovs-fix-initrepo-return.patch
Patch2: chkconfig.patch
Patch3: ovs-onlinerepo-add-mountopts-and-delete.patch
Patch4: ovs-initrepo-create-pool-directories.patch

Requires: liblockfile
Requires: system-config-securitylevel-tui

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Oracle Virtual Server Utilities provides configuration settings
and additional utilities needed for the virtualization environment.

%prep

%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build 

%install
make DESTDIR='%{buildroot}' install
install -d -m0755 -p '%{buildroot}'/OVS

%clean
rm -rf '%{buildroot}'

%post
/sbin/chkconfig --add ovsrepositories >/dev/null
/sbin/chkconfig ip6tables off >/dev/null

%preun
if [ $1 = 0 ]; then  # Execute only if we are removing, not upgrading
    /sbin/chkconfig --del ovsrepositories >/dev/null
fi

%files
%defattr(-,root,root)
/usr/lib/ovs/*
/etc/init.d/*
/etc/ovs/*
/usr/share/doc/*
%dir /OVS


%changelog
* Mon Nov 12  2007 Joel Becker <joel.becker@oracle.com> 1.0-13
- make pool directories when initializing repo

* Wed Nov  7  2007 Joel Becker <joel.becker@oracle.com> 1.0-12
- add a delete option to ovs-offlinerepo (ovs-onlinerepo) to remove an entry
  from the /etc/ovs/repositories file
- allow for an optional /etc/ovs/repositories.options file to add non-default
  mount options when mounting the filesystem

* Tue Nov  6 2007 Kevin Lyons <kevin.x.lyons@oracle.com> 1.0-11
- chkconfig the ip6tables service off in the post section

* Fri Nov  2 2007 Joel Becker <joel.becker@oracle.com> 1.0-10
- enable chkconfig

* Wed Oct 31 2007 Kurt Hackel <kurt.hackel@oracle.com> 1.0-9
- fix return from ovs-initrepo script

* Fri Oct 26 2007 Kevin Lyons <kevin.x.lyons@oracle.com> 1.0-8
- Removing all the iptables rules as we now set them in
- system-config-securitylevel

* Fri Oct 12 2007 Kurt Hackel <kurt.hackel@oracle.com> 1.0-7
- match firewall rules in firstboot

* Fri Oct 12 2007 Kurt Hackel <kurt.hackel@oracle.com> 1.0-6
- try to use lokkit to set firewalling rules at install time

* Thu Oct 11 2007 Kurt Hackel <kurt.hackel@oracle.com> 1.0-5
- temporarily add additional iptables rules 

* Wed Oct 10 2007 Kurt Hackel <kurt.hackel@oracle.com> 1.0-4
- add iptables rule for port 8002 for xen relocation daemon

* Mon Oct  1 2007 Kurt Hackel <kurt.hackel@oracle.com> 1.0-3
- add detect64 executable to /usr/lib/ovs/

* Mon Oct  1 2007 Philip Copeland <philip.copeland@oracle.com> 1.0-2
- remove the  specific iptable rule when uninstalling

* Sun Sep 30 2007 Kurt Hackel <kurt.hackel@oracle.com> 1.0-1
- Initial revision of ovs-utils scripts

* Fri Sep 28 2007 Philip Copeland <philip.copeland@oracle.com> 0.1-1
- Basic spec file framework
